Name:          libidn2
Version:       2.3.0
Release:       1mamba
Summary:       A free software implementation of IDNA2008, Punycode and TR46
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.gnu.org/software/libidn/
Source:        https://ftp.gnu.org/gnu/libidn/libidn2-%{version}.tar.lz
License:       GPL, LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libunistring-devel
## AUTOBUILDREQ-END
Requires(post): %{__install_info}
Requires(preun): %{__install_info}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Libidn2 is a free software implementation of IDNA2008, Punycode and TR46. Its purpose is to encode and decode internationalized domain names.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         Applications/Development
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.

%debug_package

%prep
%setup -q

%build
%configure

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name} || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post devel
%install_info %{name}.info
exit 0

%preun devel
%uninstall_info %{name}.info
exit 0

%files -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/libidn2.so.*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/idn2.h
%{_libdir}/libidn2.a
%{_libdir}/libidn2.la
%{_libdir}/libidn2.so
%{_libdir}/pkgconfig/libidn2.pc
%dir %{_datadir}/gtk-doc/html/libidn2
%{_datadir}/gtk-doc/html/libidn2/*
%{_infodir}/libidn2.info.gz
%{_mandir}/man3/idn2_*3*
%doc NEWS README.md

%files tools
%defattr(-,root,root)
%{_bindir}/idn2
%{_mandir}/man1/idn2.1*

%changelog
* Sat Nov 28 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.0-1mamba
- package created using the webbuild interface
